### Constructor

# GimpUi EnumStore new

#### Declaration [src]

    GtkListStore*
    gimp_enum_store_new (
      GType enum_type
    )

#### Description [src]

Creates a new `GimpEnumStore`, derived from `GtkListStore` and fills it with enum values. The enum needs to be registered to the type system and should have translatable value names.

Available since: | 2.4

#### Parameters

`enum_type` | `GType`
| The `GType` of an enum.

#### Return value

Returns: | `GtkListStore`
| A new `GimpEnumStore`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.